Subject: Re: [xml2rfc-dev] [Ext] RFC 7991 issue #49: Schema Issue, RFC 7991, In Section 2.42, <references>

From: "HANSEN, TONY L" <[email-masked]>
Date: Thu, 1 Nov 2018 18:44:34 +0000

On 10/12/18, 12:00 AM, "xml2rfc-dev on behalf of Julian Reschke" <[email-masked] on behalf of [email-masked]> wrote:

    On 2018-10-11 23:52, Paul Hoffman wrote:
    > On Oct 9, 2018, at 12:36 PM, Jim Schaad <[email-masked]> wrote:
    >>>
    >>> For me, I guess it does; for me it means that ToC, enclosing References section,
    >>> and Index should all be part of the canonical format.  For me, RFC 7998 Section
    >>> 1, Introduction, points in the same direction.
    >>
    >> I agree w/ the References.  I don't agree w/ the ToC or index as this information can be derived from the XML file in a deterministic fashion and would not change.
    > 
    > +1 to Jim's formulation.
    
    I keep disagreeing, because what Jim says for Toc and Index is trivially 
    true for References as well. If you disagree, please explain why.

At this point, I'm not sure which way you're disagreeing.

I feel that References needs to be sucked into the canonical format, because the non-canonical version usually uses time-sensitive external values and it needs to be frozen for the time of publication.

The part of the ToC that MUST be captured in the canonical format are the tocInclude, tocDepth and toc attributes. An XML processor can easily create a ToC from the section titles, so I don't see anything added by including an expansion of its display elements into the canonical format. 

The index is made up of the iref values and the indexInclude value. I think an index can also be easily created, so I don't see what would be made easier by including the expansion of an index's display elements into the canonical format.

	Tony

---

From: Julian Reschke <[email-masked]>
Date: Thu, 1 Nov 2018 21:05:05 +0100

> I feel that References needs to be sucked into the canonical format, because the non-canonical version usually uses time-sensitive external values and it needs to be frozen for the time of publicat…

Yes - that's not what's being discussed.

Henrik is asking to change to vocabulary so that we don't need the 
heuristics to insert the "References" container section when there are 
multiple <references> elements.

Best regards, Julian